Index: tmp/org.txm.searchengine.cqp.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.searchengine.cqp.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.searchengine.cqp.core/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/searchengine/cqp/core/messages/messages_fr.properties=UTF-8

Index: tmp/org.txm.referencer.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.referencer.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.referencer.core/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/referencer/core/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/referencer/core/messages/messages_ru.properties=UTF-8

Index: tmp/org.txm.translate.rcp/.~lock.messages_fr-slh.odt#
===================================================================
--- tmp/org.txm.translate.rcp/.~lock.messages_fr-slh.odt#	(revision 0)
+++ tmp/org.txm.translate.rcp/.~lock.messages_fr-slh.odt#	(revision 1501)
@@ -0,0 +1 @@
+,mdecorde,mdecorde-OptiPlex-9020,06.12.2018 12:36,file:///home/mdecorde/.config/libreoffice/4;
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.annotation.kr.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/annotation/kr/rcp/messages/messages_fr.properties=UTF-8

Index: tmp/org.txm.setups/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.setups/.settings/org.eclipse.core.resources.prefs	(revision 1500)
+++ tmp/org.txm.setups/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -3,4 +3,5 @@
 encoding//shared/mac/intro_fr.txt=MacRoman
 encoding//shared/mac/readme_fr.txt=MacRoman
 encoding//shared/win/txm.nsi=ISO-8859-1
+encoding/SetupMessages_en.properties=UTF-8
 encoding/SetupMessages_fr.properties=UTF-8
Index: tmp/org.txm.referencer.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.referencer.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.referencer.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/referencer/rcp/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/referencer/rcp/messages/messages_ru.properties=UTF-8

Index: tmp/org.txm.searchengine.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.searchengine.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.searchengine.core/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/searchengine/core/messages/messages_fr.properties=UTF-8

Index: tmp/org.txm.index.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.index.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.index.core/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/index/core/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/index/core/messages/messages_ru.properties=UTF-8

Index: tmp/org.txm.properties.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.properties.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.properties.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/properties/rcp/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/properties/rcp/messages/messages_ru.properties=UTF-8

Index: tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java	(revision 1500)
+++ tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java	(revision 1501)
@@ -350,7 +350,7 @@
 			System.out.println("Could not find injection for text "+txtname);
 			return data;
 		}
-		for (Entry e : injection) {
+		for (org.txm.metadatas.Entry e : injection) {
 			data.put(e.getId(), e.getValue());
 		}
 
@@ -551,7 +551,7 @@
 		{
 			for(int i = 0 ; i < inj.size() ; i++)
 			{
-				Entry e = inj.get(i);
+				org.txm.metadatas.Entry e = inj.get(i);
 				if(!Lids.contains(e.getId()))
 				{
 					inj.remove(i);
Index: tmp/org.txm.partition.core/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.partition.core/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.partition.core/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,3 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/partition/core/messages/messages_fr.properties=UTF-8
+encoding//src/org/txm/partition/core/messages/messages_ru.properties=UTF-8

Index: tmp/org.txm.links.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.links.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ tmp/org.txm.links.rcp/.settings/org.eclipse.core.resources.prefs	(revision 1501)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/links/rcp/messages/messages_fr.properties=UTF-8

